Bug 58260 - New Port: print/lilypond-devel
Summary: New Port: print/lilypond-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Eikemeier
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-20 00:40 UTC by Patrick Atamaniuk
Modified: 2003-11-20 20:18 UTC (History)
1 user (show)

See Also:


Attachments
lilypond-devel-2.1.0.shar.bz2 (12.24 KB, text/plain)
2003-10-20 00:40 UTC, Patrick Atamaniuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Atamaniuk 2003-10-20 00:40:15 UTC
	Accompany print/lilypond with its development version. It is 
	usually quite stable and very usable, providing wanted new features.
	It was tested on 5.1-p10 and 4.8-RELEASE by maintainer of
	print/lilypond
Comment 1 Patrick Atamaniuk 2003-11-16 19:12:00 UTC
pr may be closed, committed this on portrookies for early adopters.
Comment 2 Kris Kennaway 2003-11-16 21:40:23 UTC
On Sun, Nov 16, 2003 at 08:12:00PM +0100, Patrick Atamaniuk wrote:
> pr may be closed, committed this on portrookies for early adopters.

So you don't want anyone to commit it to FreeBSD?

Kris
Comment 3 Sergey Matveychuk 2003-11-17 00:00:51 UTC
Kris Kennaway wrote:

> On Sun, Nov 16, 2003 at 08:12:00PM +0100, Patrick Atamaniuk wrote:
> 
>>pr may be closed, committed this on portrookies for early adopters.
> 
> 
> So you don't want anyone to commit it to FreeBSD?

I think, he meant they are changed and freshest versions can be found on 
portrookies.

Am I right, Patrik? :)

---
Sem.
Comment 4 Kris Kennaway 2003-11-17 00:13:30 UTC
On Mon, Nov 17, 2003 at 03:00:51AM +0300, Sergey Matveychuk wrote:
> Kris Kennaway wrote:
> 
> >On Sun, Nov 16, 2003 at 08:12:00PM +0100, Patrick Atamaniuk wrote:
> >
> >>pr may be closed, committed this on portrookies for early adopters.
> >
> >
> >So you don't want anyone to commit it to FreeBSD?
> 
> I think, he meant they are changed and freshest versions can be found on 
> portrookies.
> 
> Am I right, Patrik? :)


It's great to see enthusiasm for the new "portrookies" project, but at
the moment most committers are not using it, so unless the new version
of your port is available in gnats most committers will not find it.

Kris
Comment 5 Patrick Atamaniuk 2003-11-17 11:35:35 UTC
Update (to version available at portrookies):
	follow renamed port pktrace to mftrace
	fix configure issue for 4.9-RELEASE
	fix call of install script at post-install


diff --exclude=CVS --exclude=Makefile.local -ruN lilypond-devel.orig/Makefile lilypond-devel/Makefile
--- lilypond-devel.orig/Makefile	Mon Nov 17 11:28:51 2003
+++ lilypond-devel/Makefile	Mon Nov 17 11:25:43 2003
@@ -16,7 +16,7 @@
 COMMENT=	The GNU music typesetter (unstable/development)
 
 BUILD_DEPENDS=	latex:${PORTSDIR}/print/teTeX \
-		mftrace:${PORTSDIR}/print/pktrace
+		mftrace:${PORTSDIR}/print/mftrace
 LIB_DEPENDS=	guile.15:${PORTSDIR}/lang/guile
 RUN_DEPENDS=	latex:${PORTSDIR}/print/teTeX
 
@@ -24,6 +24,8 @@
 	lilypond-book.1 midi2ly.1 mup2ly.1 musedata2ly.1 pmx2ly.1
 INFO=		lilypond lilypond-internals music-glossary
 
+CONFLICTS=	lilypond*
+
 GNU_CONFIGURE=	yes
 USE_BISON=	yes
 USE_GMAKE=	YES
@@ -32,9 +34,12 @@
 
 CONFIGURE_ARGS+=	--with-kpathsea-include=${LOCALBASE}/include \
 			--with-kpathsea-lib=${LOCALBASE}/lib
+CONFIGURE_ENV+=         "CPPFLAGS=${CPPFLAGS}"
 
 # inform kpathsea.h of getopt-prototype version
 CFLAGS+=	-D__GNU_LIBRARY__
+CPPFLAGS+=      -I${WRKSRC}/lily/out
+CFLAGS+=        ${CPPFLAGS}
 
 .include <bsd.port.pre.mk>
 MAKE_ENV+=	MAKE_PFA_FILES=1
@@ -42,8 +47,6 @@
 
 .if ${OSVERSION} < 500000
 USE_GCC=	3.3
-OLD_CPP_INCLUDEDIR=	/usr/include/g++
-CONFIGURE_ENV+=	"CPPFLAGS=$${CPPFLAGS} -idirafter ${OLD_CPP_INCLUDEDIR}"
 .endif
 
 SCRIPTS_ENV+=	PORTVERSION=${PORTVERSION}
@@ -85,7 +88,7 @@
 	- install-info ${PREFIX}/info/${ii}.info ${PREFIX}/info/dir
 .endfor
 .endif
-	${SETENV} PKG_PREFIX=${PREFIX} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 	@${ECHO_CMD} "* Look in ${EXAMPLESDIR}/scripts"
 	@${ECHO_CMD} "* for needed additions to your .profile"
diff --exclude=CVS --exclude=Makefile.local -ruN lilypond-devel.orig/scripts/pre-configure lilypond-devel/scripts/pre-configure
--- lilypond-devel.orig/scripts/pre-configure	Thu Jan  1 01:00:00 1970
+++ lilypond-devel/scripts/pre-configure	Mon Nov 17 11:23:27 2003
@@ -0,0 +1,16 @@
+#!/bin/sh
+outdir=out
+cd ${WRKSRC} || exit 2
+echo "Patching for FlexLexer.h <->gcc3 issues"
+
+file=/usr/include/g++/FlexLexer.h
+
+echo -n "Copying and fixing $file... "
+mkdir -p lily/$outdir
+rm -f lily/$outdir/FlexLexer.h
+sed \
+    -e 's/istream/std::istream/' \
+    -e 's/[^i]ostream/std::ostream/' \
+    -e 's/iostream.h/iostream/' \
+    $file > lily/$outdir/FlexLexer.h
+echo "done"
Comment 6 Oliver Eikemeier 2003-11-17 12:15:57 UTC
Hi Patrick,

do you want me to:

[ ] commit the shar file contained in this PR

[ ] commit the shar file contained in this PR with the patch you sent Nov 17 2003 applied

[ ] commit the 2003-11-17 snapshot of portrookies:

    # cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/portrookies \
        export -D 2003-11-17 -d lilypond-devel rookies/lilypond-devel

    # find -s lilypond-devel -type f | xargs md5
    MD5 (lilypond-devel/Makefile) = dd7dd053a6cc44ffe9fb41eb5e510128
    MD5 (lilypond-devel/distinfo) = ee60677c096de54bbf64912c7dbb0396
    MD5 (lilypond-devel/files/extra-patch:GNUmakefile.in) = 725412fb8f8d0564dcaf8ff283a37021
    MD5 (lilypond-devel/files/patch-Doc-user-GNUmakefile) = 3115156a4406ae82045c18179d8ae63f
    MD5 (lilypond-devel/files/patch-Doc:user:lilypond.tely) = 58bfd28737e6cdf23a7ce9438faec2b3
    MD5 (lilypond-devel/files/patch-Doc:user:music-glossary.tely) = 2cc6ba320d2aebd4948e475551523140
    MD5 (lilypond-devel/files/patch-make-ly-rules.make) = 1179031fb4c3f877260abe4c5bcc8bd3
    MD5 (lilypond-devel/files/patch-scm:documentation-generate.scm) = 42831da06580ec14a4425d05ce901d40
    MD5 (lilypond-devel/pkg-descr) = d2ae5885f0351fc9f8730464e7fe0b31
    MD5 (lilypond-devel/pkg-install) = ce43647799c6dccc7876d6d5db2a20af
    MD5 (lilypond-devel/pkg-message) = 41467a203f14d493f61237f26a65f338
    MD5 (lilypond-devel/pkg-plist) = c096c834e7c77b6967f3137353e40bdf
    MD5 (lilypond-devel/scripts/post-configure) = d71506b5dfcd72da5bc38724b4b836ee
    MD5 (lilypond-devel/scripts/pre-configure) = c56fae9792785facb17a898956be55e1

    # find -s lilypond-devel -type f | xargs md5 | md5
    5729006dc34cf9e9b3da109ba9230505

    modifying CATEGORIES and PKGNAMEPREFIX as appropriate

[ ] commit something else (relating to lilypond-devel of course)

[ ] close this PR and defer committing lilypond-devel to the FreeBSD ports tree
    to a later date

[ ] close this PR without specifying reasons

[ ] none of the above applies

Btw, some issues you may want to look into:

- check the output of portlint -A or portlint -abct
- LOCALBASE is normally not set at pkg_add time
- you may want to use CONFLICTS=    lilypond-2.*,
  otherwise the package will conflict with itself,
  which may lead to psychopathies

Oliver
Comment 7 Oliver Eikemeier freebsd_committer 2003-11-17 12:16:16 UTC
State Changed
From-To: open->feedback

I'll handle the feedback 


Comment 8 Oliver Eikemeier freebsd_committer 2003-11-17 12:16:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eik

I'll handle the feedback
Comment 9 Patrick Atamaniuk 2003-11-18 22:32:32 UTC
>P.S.
	above first patch has leading spaces. sed -e 's=^ ==g'

>Description:
	patch applies on above shar patched with previous patch
	result matches portrookies Tue Nov 18 23:22:58 CET 2003

	Cared about portlint warnings,
	changed pkg-install to be autogenerated to avoid hardcoded paths
	backed out CONFLICTS

>Fix:

--- lilypond-devel-p2.patch begins here ---
diff --exclude=Makefile.local --exclude=CVS -ruN lilypond-devel/Makefile /home/patrick/src/patrick/ports/print/lilypond-devel/Makefile
--- lilypond-devel/Makefile	Tue Nov 18 23:08:02 2003
+++ /home/patrick/src/patrick/ports/print/lilypond-devel/Makefile	Tue Nov 18 22:43:28 2003
@@ -3,7 +3,8 @@
 # Whom:					patrick
 # based on print/lilypond originally by trevor
 #
-# $FreeBSD: ports/print/lilypond/Makefile,v 1.14 2003/10/14 01:32:13 edwin Exp $
+# $FreeBSD$
+# $Id$
 #
 
 PORTNAME=	lilypond
@@ -24,22 +25,23 @@
 	lilypond-book.1 midi2ly.1 mup2ly.1 musedata2ly.1 pmx2ly.1
 INFO=		lilypond lilypond-internals music-glossary
 
-CONFLICTS=	lilypond*
+#INSTALLS_SHLIB not needed for phyton library midi.so
 
 GNU_CONFIGURE=	yes
 USE_BISON=	yes
 USE_GMAKE=	YES
 USE_PYTHON=	YES
 MAKEFILE=	GNUmakefile
+PKGINSTALL=	${WRKDIR}/pkg-install
 
 CONFIGURE_ARGS+=	--with-kpathsea-include=${LOCALBASE}/include \
 			--with-kpathsea-lib=${LOCALBASE}/lib
-CONFIGURE_ENV+=         "CPPFLAGS=${CPPFLAGS}"
+CONFIGURE_ENV+=		"CPPFLAGS=${CPPFLAGS}"
 
 # inform kpathsea.h of getopt-prototype version
 CFLAGS+=	-D__GNU_LIBRARY__
-CPPFLAGS+=      -I${WRKSRC}/lily/out
-CFLAGS+=        ${CPPFLAGS}
+CPPFLAGS+=	-I${WRKSRC}/lily/out
+CFLAGS+=	${CPPFLAGS}
 
 .include <bsd.port.pre.mk>
 MAKE_ENV+=	MAKE_PFA_FILES=1
@@ -58,17 +60,26 @@
 PLIST_SUB+=	CONDITIONAL=""
 .endif
 
+#IGNORING portlint 2.5.0 WARN: possible direct use of command "install" found at line 64. use ${INSTALL_foobaa} instead.
+INSTALL_INFO?=	install-info
+
 pre-everything::
 	@${CAT} ${PKGMESSAGE}
 	@sleep 10
 
+pre-configure:
+	${SED} -e "s=%%LOCALBASE%%=${LOCALBASE}=g;s=%%DATADIRVERSION%%=${DATADIR}/${PORTVERSION}=g" \
+		< ${FILESDIR}/pkg-install.in \
+		| ${SED} -e "s=${PREFIX}=\$${PKG_PREFIX}=g" \
+	> ${PKGINSTALL}
+
 post-install:
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR} ${EXAMPLESDIR}/scripts
 	cd ${WRKSRC}/input ; \
 	${TAR} -chf - --exclude=out --exclude=CVS --exclude=GNUmakefile . | \
 		${TAR} -xf - -C ${EXAMPLESDIR};\
-	${FIND} ${EXAMPLESDIR} -name "out" | xargs ${RM} -rf ;
+	${FIND} ${EXAMPLESDIR} -name "out" | ${XARGS} ${RM} -rf ;
 .for ii in login profile
 	${INSTALL_SCRIPT} ${WRKSRC}/buildscripts/out/lilypond-${ii} \
 		${EXAMPLESDIR}/scripts
@@ -85,7 +96,7 @@
 		| ${TAR} -xf - -C ${DOCSDIR}
 
 .for ii in ${INFO}
-	- install-info ${PREFIX}/info/${ii}.info ${PREFIX}/info/dir
+	- ${INSTALL_INFO} ${PREFIX}/info/${ii}.info ${PREFIX}/info/dir
 .endfor
 .endif
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
diff --exclude=Makefile.local --exclude=CVS -ruN lilypond-devel/files/pkg-install.in /home/patrick/src/patrick/ports/print/lilypond-devel/files/pkg-install.in
--- lilypond-devel/files/pkg-install.in	Thu Jan  1 01:00:00 1970
+++ /home/patrick/src/patrick/ports/print/lilypond-devel/files/pkg-install.in	Tue Nov 18 22:40:28 2003
@@ -0,0 +1,10 @@
+#!/bin/sh
+LOCALBASE="%%LOCALBASE%%"
+DATADIRVERSION="%%DATADIRVERSION%%"
+case $2 in
+	POST-INSTALL)
+		PATH=${LOCALBASE}/bin:${PATH}
+		export TEXMF="{${DATADIRVERSION},"`kpsexpand  \\$TEXMF`"}"
+		texhash
+	;;
+esac
diff --exclude=Makefile.local --exclude=CVS -ruN lilypond-devel/pkg-install /home/patrick/src/patrick/ports/print/lilypond-devel/pkg-install
--- lilypond-devel/pkg-install	Tue Nov 18 23:07:50 2003
+++ /home/patrick/src/patrick/ports/print/lilypond-devel/pkg-install	Thu Jan  1 01:00:00 1970
@@ -1,9 +0,0 @@
-#!/bin/sh
-case $2 in
-	POST-INSTALL)
-		PATH=${LOCALBASE:-/usr/local}/bin:${PATH}
-		datadir=${PKG_PREFIX}/share/lilypond/2.1.0/
-		export TEXMF="{${datadir},"`kpsexpand  \\$TEXMF`"}"
-		texhash
-	;;
-esac
diff --exclude=Makefile.local --exclude=CVS -ruN lilypond-devel/pkg-plist /home/patrick/src/patrick/ports/print/lilypond-devel/pkg-plist
--- lilypond-devel/pkg-plist	Tue Nov 18 23:07:50 2003
+++ /home/patrick/src/patrick/ports/print/lilypond-devel/pkg-plist	Tue Nov 18 22:40:28 2003
@@ -968,7 +968,7 @@
 share/locale/nl/LC_MESSAGES/lilypond.mo
 share/locale/ru/LC_MESSAGES/lilypond.mo
 share/locale/sv/LC_MESSAGES/lilypond.mo
-@unexec rm -f %D/%%DATADIR%%/2.1.0/ls-R
+@unexec rm -f %D/%%DATADIR%%/2.1.0/ls-R 2>&1 >/dev/null || true
 @dirrm lib/lilypond/2.1.0/python
 @dirrm lib/lilypond/2.1.0
 @dirrm lib/lilypond
diff --exclude=Makefile.local --exclude=CVS -ruN lilypond-devel/scripts/post-configure /home/patrick/src/patrick/ports/print/lilypond-devel/scripts/post-configure
--- lilypond-devel/scripts/post-configure	Tue Nov 18 23:07:50 2003
+++ /home/patrick/src/patrick/ports/print/lilypond-devel/scripts/post-configure	Tue Nov 18 22:40:28 2003
@@ -4,7 +4,7 @@
     file=lily/$outdir/lexer.cc
     echo -n "Generating and fixing $file... "
     rm -f $file
-    gmake conf=$CONF -C lily $outdir/lexer.cc > /dev/null 2>&1 || true
+    gmake conf=$CONF -C lily $outdir/lexer.cc || true
 
     mv $file $file.orig
     sed -e 's/istream\*/std::istream*/g' \
--- lilypond-devel-p2.patch ends here ---
Comment 10 Oliver Eikemeier freebsd_committer 2003-11-20 20:17:40 UTC
State Changed
From-To: feedback->closed

Committed, thanks.